package p11_klasy.zadania;

public class Pracownik {
	int stawka;
	int suma_godzin = 0;
	int suma_nadgodzin = 0;

	public Pracownik(int stawka) {
		this.stawka = stawka;
	}

	void praca(int godziny) {
		if(godziny > 8) {
			suma_nadgodzin += (godziny - 8);
			suma_godzin += 8;
		} else {
			suma_godzin += godziny;
		}
	}

	int wyplata() {
		try {
			return suma_godzin * stawka + suma_nadgodzin * stawka * 2;
		} finally {
			// blok finally wykona się po całym bloku try także wtedy, gdy w try jest return
			// (także, gdyby doszło do wyjątku: obsłużonego lub nieobsłużonego...)
			suma_godzin = 0;
			suma_nadgodzin = 0;
		}
	}
	
}
